Subject: [Fot] TR-6 clutch disk experiences

From: "Spitfire Racing" <[email-masked]>
Date: Sun, 17 Feb 2013 18:09:47 -0500

Folks, I am close to getting a TR6 project moving along again. I started at
the rear bumper and am now up to the firewall with the engine and pretty
much the entire rest of the drive train rebuilt. I know a number of years
back there was much conversation among some entities that "Magic" was
required to get a clutch to work in a TR6. I never abided to that train of
thought and identified it more as a mis-match of wrong parts. What I have is
a new lightweight flywheel that is being mated with a LUK pressure plate. I
have an AP clutch disk new in the box and also a LUK with maybe 10K on it. 

Are there any problems experienced with the AP brand of clutch disk as sold
out of western PA maybe 15 years ago? 

Thanks

Russ
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive